
#
# Default values for Confero
#

#
# Session parameters
#

# Default destination address (or hostname)
if {!$addr_set_on_cmdline} {
  set IP_ADDR "224.2.2.2"
}

# Default destination UDP port number
if {!$port_set_on_cmdline} {
  set PORT 5566
}

#Default text messaging port number
set default_txt_msg_port 12000

# Default time-to-live (for multicast only)
set TTL 15

set RSVP_PORT 5150

#
# Display session parameters selection box at startup?
#
set use_preconfig_session_params 0

#
# Default size of transmitted video (small, medium, large or huge)
#
set default_resolution medium

#
# Default video server parameters
#
set default_video_server jimi.framkom.se
set default_video_server_port 4444

set default_streaming_address $IP_ADDR
#set default_streaming_address "192.168.1.5 zappa"
set default_streaming_port $PORT

#
# default audio parameters
#

# Enable/disable Audio Configuration panel
set audio_conf_enabled 0

# Default audio input/output
set default_audio_input 2
set default_audio_output 4

# Default volume/mic gain
set default_volume 80
set default_mic_gain 10

# Silence sensor on/off, threshold value
set default_silence 0
set default_silence_threshold 50

# Net-mutes-mike on/off, threshold value
set default_nmm 0
set default_nmm_threshold 50

# Audio encodings
set GSM 3
set PCM 11
set default_audio_encoding $PCM

# Enable some features used in scalable layered multicast mode
set scale_version [session scalability]

# Default Quality and frame rate
set default_framerate 1
if { $scale_version > 1 } {
  set default_quality 90
  set default_framerate 5
} else {
  set default_quality 50
  set default_framerate 25
}

# Automatically start transmitting audio
set automatic_audio_xmit 0

# Automatically start transmitting video
set automatic_video_xmit 0

# Automatically start displaying received video
set automatic_video_recv 0

# Should the video transmitter window start in muted mode?
set default_is_start_muted 0

#Enable logging
set log_level 5
set logfile /tmp/conferolog

#
# Menu configuration for Confero
#
# use '1' or 'true' or 'yes' for the menu options that should
# be visible in Confero and '0' or 'no' or 'false' otherwise
#

# Receive menu 
set vrm_size 1
set vrm_mirror 1
set vrm_rotate 0
set vrm_noframe 1
set vrm_nomenubar 1
set vrm_camctl 1
set vrm_statistics 1
set vrm_avsync 1
if { $os_type == "sgi" } {
  set vrm_output 1
} else {
  set vrm_output 0
}
if { $os_type == "sgi" || $grabber_type == "matrox" } {
  set vrm_annotations 1
} else {
  set vrm_annotations 0
}
if { $os_type == "sgi" } {
  set vrm_stereo 1
} else {
  set vrm_stereo 0
} 
#end receive menu

#
# Transmit menu
#
if { $os_type == "sgi" || $grabber_type == "matrox" } {
  set vtm_annotations 1
} else {
  set vtm_annotations 0
}
set vtm_fec 1
set vtm_pause 1
set vtm_size 1
set vtm_localscaling 1
set vtm_mirror 1
set vtm_camtype 1
set vtm_inputnr 1
set vtm_inputtype 1
set vtm_stereo true
set vtm_qualband 1

#end transmit menu
#end menu configuration
###

set log_format "concise"

# RTP padding
set use_rtp_video_padding 0

