#
# This file contains the platform specific tcl functions of Smile!
#

# Platform
set os_type "sgi"
set grabber_type "o2"

#
# Video constants
#

# SGI O2-specific values
set NTSC 0
set PAL 1

set PAL_FULL_WIDTH 768
set PAL_FULL_HEIGHT 576
set NTSC_FULL_WIDTH 640
set NTSC_FULL_HEIGHT 480

set COMPOSITE 0
set SVIDEO 1
set YUV 5
set RGB 2

# Audio constants

set LINE_IN 2
set MICROPHONE 1
set LINE_OUT 4
set SPEAKER 1
set HEADPHONES 2

# Is video scaling supported?
set video_scaling_state normal

#
# Find out which video input ports are available
#

proc find_video_inputs {} {
  global video_inputs default_video_input default_video_standard

  set video_inputs [video sources]
  set default_video_input [video defaultsrc]
  set default_video_standard [video defaultstd $default_video_input]

  #puts $video_inputs
  #puts "default source = $default_video_input"
  #puts "default standard = $default_video_standard"
}

#
# Return default video standard for a channel
#

proc find_std_for_input {input} {
  return [video defaultstd $input]
}

#
# Command and command line argument to return system date and time
#
set sysdate "/bin/date"
set datearg "+%Y.%m.%d  %H:%M:%S"

set vrm_fullscreen 0
